Subject: Policy and tools regarding the filing of Internet Drafts

From: "Fred Baker (fred)" <[email-masked]>
Date: Tue, 21 Apr 2015 09:46:14 +0000

I’m not sure what list this question belongs on, so I’m bringing it here. Happy to be redirected.

I have had a problem on a number of occasions with my name being listed as an author on a draft that I had not agreed to co-author, and in some cases, that I hadn’t even seen. In most cases, I have been able to get the putative co-author to remove my name in a -01 version. I can point to at least one draft that I didn’t initially agree to co-author, was unsuccessful in getting my "co-authors" to remove it, and wound up largely re-writing, which involved a lot of work. I’m not alone in this; various people have complained of third parties listing them as co-authors on drafts without their consent.

I’m bringing it up this time on the behalf of some Cisco colleagues, who found themselves "co-authoring" a draft that they didn’t know anything about in one working group, got their names off the draft, and then discovered their names on a related draft in another working group. It seems to me that an ethical line was crossed in the interest of showing support for a concept.

First, I’d like to believe that this isn’t an acceptable practice. I’d like to believe, shock of shocks, that a co-author is first someone that has agreed to co-author, and is someone that has text or at least concepts that are included in the draft.

Second, I wonder if there is a way we can manage this. A simple approach would involve the posting tool. When we ask to post something, the authors are polled in email to ensure that the email address in the draft actually gets to them, and they have to reply either in email or on the web. What would it take to, when posting a -00 draft, require all of the co-authors to positively respond, and have the posting fail if they don’t, or if any responds negatively?

This would also clear out people whose addresses change; I understand an address changing in a later version of a draft ([email-masked] becomes [email-masked]) and being missed in a draft update, but I don’t understand an incorrect address on the -00 version.

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Tue, 21 Apr 2015 11:26:55 +0000

Be nice if the posting tool confirmed co-author(s) whenever a co-author(s) is "new" (all would be new for -00). This would require keeping a database of the drafts and co-authors.

- Bernie (from iPad)

> On Apr 21, 2015, at 5:46 AM, Fred Baker (fred) <[email-masked]> wrote:
>

---

From: Hosnieh Rafiee <[email-masked]>
Date: Tue, 21 Apr 2015 11:32:59 +0000

Hi Fred,

> Second, I wonder if there is a way we can manage this. A simple
> approach would involve the posting tool. When we ask to post something,
> the authors are polled in email to ensure that the email address in the
> draft actually gets to them, and they have to reply either in email or
> on the web. What would it take to, when posting a -00 draft, require
> all of the co-authors to positively respond, and have the posting fail
> if they don’t, or if any responds negatively?

About your second option, I would say this might make problem. I give my case as an example. It happened to me several times that I needed to upload a draft in 90 minute of cutting date and my co-authors already did his/her contribution  on a system we used to share information and this person is no longer available. Then I can no longer reach him. In your suggestion, I can no longer upload a draft when my co-author is asleep or no longer reachable.

I think the one who used your name or someone else's name in his/her draft without previous discussion, might use different email address of himself/herself too to authorized its sending. So I suggest to use other approach...

> This would also clear out people whose addresses change; I understand
> an address changing in a later version of a draft ([email-masked]
> becomes [email-masked]) and being missed in a draft update,
> but I don’t understand an incorrect address on the -00 version.

Thanks,
Best,
Hosnieh

---

From: "Fred Baker (fred)" <[email-masked]>
Date: Tue, 21 Apr 2015 12:05:14 +0000

> On Apr 21, 2015, at 4:32 AM, Hosnieh Rafiee <[email-masked]> wrote:
> 
> Hi Fred,
> 
> 

The verification period isn’t instant; the tool sends the email, and considers it to have failed if a couple of days elapse (or something like that).

> I think the one who used your name or someone else's name in his/her draft without previous discussion, might use different email address of himself/herself too to authorized its sending. So I sugg…

Do you have another suggestion?

---

From: "Fred Baker (fred)" <[email-masked]>
Date: Tue, 21 Apr 2015 12:13:32 +0000

> On Apr 21, 2015, at 4:26 AM, Bernie Volz (volz) <[email-masked]> wrote:
> 

I’m not so sure it requires a database. It dos require the ability to read an existing draft.

With a -00 draft, you could simply define the case - all authors have to confirm. With a successor draft, a “new" author is one that isn’t listed as an author on the previous version. We could continue to gild that lily by noting when authors are dropped, and enquiring of the dropped co-authors.

That said, a database might make it simpler for the tools.

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Tue, 21 Apr 2015 12:16:53 +0000

I've had more than one case where trying to hit a -00 (or other) deadline with another author, in another timezone, doing an everyone signs off would have missed the deadline. We may have reached "OK, I'm happy with those edits, you make them and submit, I'm going to sleep" stage.

Yes, I know, better not to run quite so hard up against a deadline.

-- 
Christopher Dearlove
Senior Principal Engineer
BAE Systems Applied Intelligence
__________________________________________________________________________

T:  +44 (0)1245 242194  |  E: [email-masked]

BAE Systems Applied Intelligence, Chelmsford Technology Park, Great Baddow, Chelmsford, Essex CM2 8HN.
www.baesystems.com/ai
BAE Systems Applied Intelligence Limited
Registered in England & Wales No: 01337451
Registered Office: Surrey Research Park, Guildford, Surrey, GU2 7YP

-----Original Message-----
From: ietf [mailto:[email-masked]] On Behalf Of Fred Baker (fred)
Sent: 21 April 2015 10:46
To: IETF Discussion Mailing List
Subject: Policy and tools regarding the filing of Internet Drafts

This would also clear out people whose addresses change; I understand an address changing in a later version of a draft ([email-masked] becomes [email-masked]) and being missed in a draft update, but I don’t understand an incorrect address on the -00 version.
********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Tue, 21 Apr 2015 08:21:52 -0400

The ID/tools already keep track of authors, as you say, when you submit a draft. But after that it appears to not expose that. What is required is that it expose this for all drafts. If you login, you should be able to confirm removing yourself from that ID entry.

	The other thing we could do is require that all authors/editors confirm posting instead of just having one confirm. The system does today for new postings, or postings with new/changed authors but only requires one to confirm. The one thing to consider in this case is that by putting your name on a draft, you implicitly acknowledge the IPR/Note Well terms on that draft. What if you do not but someone puts your name on there?  Requiring everyone on a draft to explicitly confirm means they are there on purpose and really agree, and continue to for every iteration of the draft.

	--Tom

> On Apr 21, 2015:8:13 AM, at 8:13 AM, Fred Baker (fred) <[email-masked]> wrote:
> 
>

---

From: Hosnieh Rafiee <[email-masked]>
Date: Tue, 21 Apr 2015 12:30:18 +0000

> > I think the one who used your name or someone else's name in his/her
> draft without previous discussion, might use different email address of
> himself/herself too to authorized its sending. So I suggest to use
> other approach...
> 

Hum... I don't know how practical this can be ... 

I would suggest a mixing of your idea and something else... as followings...

I suggest to store names and email addresses of active ietfers in a database. I assume it is already exist. Then when a document is uploaded, the RFC tools check the name against any matching names or emails in that db. If there is a match, it sends email to all those emails available in that db and informing all authors by sending an email (as a notification) about a new document upload with his name and provide a link where it can cancel or remove this document from IETF server.

It allows the document to be tentatively uploaded and warn the author who uploaded the document that this document is only valid until xxx date on IETF server (and doesn't make problem for people like me who upload something in last minute) and needs to be approved by all authors by then. It then set a flag for this document that not all authors approved this upload. 
Like the approach you suggested that all authors need to send a approval, this is also true but with this difference that it allows upload a document and make it tentatively available until all authors confirm the approval. 

The system might send reminders 3 times and after not receiving approval from all authors, it remove the document automatically from IETF server.

But at least it gives more time to authors and also make the document visible until authors can coordinate.

Hosnieh

---

From: Scott Kitterman <[email-masked]>
Date: Tue, 21 Apr 2015 08:32:23 -0400

On April 21, 2015 5:46:14 AM EDT, "Fred Baker (fred)" <[email-masked]> wrote:
>I have had a problem on a number of occasions with my name being listed
>as an author on a draft that I had not agreed to co-author, and in some
>cases, that I hadn’t even seen. In most cases, I have been able to get
>the putative co-author to remove my name in a -01 version. I can point
>to at least one draft that I didn’t initially agree to co-author, was
>unsuccessful in getting my "co-authors" to remove it, and wound up
>largely re-writing, which involved a lot of work. I’m not alone in
>this; various people have complained of third parties listing them as
>co-authors on drafts without their consent.
>
>I’m bringing it up this time on the behalf of some Cisco colleagues,
>who found themselves "co-authoring" a draft that they didn’t know
>anything about in one working group, got their names off the draft, and
>then discovered their names on a related draft in another working
>group. It seems to me that an ethical line was crossed in the interest
>of showing support for a concept.
>
>First, I’d like to believe that this isn’t an acceptable practice. I’d
>like to believe, shock of shocks, that a co-author is first someone
>that has agreed to co-author, and is someone that has text or at least
>concepts that are included in the draft.
>

One approach might be to make it so that draft updates are automatically accepted if the uploader is in either the new or previous version. That way when this happens, the person that's incorrectly included can upload a -01 removing themselves. 

I think it would also make sense to limit auto-accept of drafts from people with a history of doing this.

Scott K

---

From: "Fred Baker (fred)" <[email-masked]>
Date: Tue, 21 Apr 2015 12:42:36 +0000

> On Apr 21, 2015, at 5:16 AM, Dearlove, Christopher (UK) <[email-masked]> wrote:
> 

Well, as I said, the “confirm” response isn’t required to be instant. If one files against a deadline and deals with the “confirmation” email after the deadline, it is treated as acceptable - the *filing* was before the deadline. I don’t see a reason that would change when multiple authors had to each confirm.

---

From: Warren Kumari <[email-masked]>
Date: Tue, 21 Apr 2015 08:58:40 -0400

A related issue is "fake acknowledgments".
This is where a draft author sends a note about the draft to some set
of folk, and then thanks them for their review and support, regardless
of if they actually, you know, reviewed or expressed support.

An example:  "The authors would like to thank all those people who
directly helped in improving this draft and all supporters of this
draft, especially <inset well known IETF names here>"

this makes it look like the people listed actually support the
document, which may be used to claim legitimacy.

I don't think there is anything the IETF can or should do about it,
but individuals who get fake thanked might want to speak out and
mention that they are not actually expressing support...

W

-- 
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf

---

From: Stewart Bryant <[email-masked]>
Date: Tue, 21 Apr 2015 14:05:55 +0100

> This would also clear out people whose addresses change; I understand an address changing in a later version of a draft ([email-masked] becomes [email-masked]) and being missed in a draft update, b…

Having all authors authorize would be a good idea not only for the reason
you state but to stop some form of IPR ambush where you acquire liabilities
because you were once an author.

However getting drafts out before IETF is hard enough so pre-authorization
would need to be supported.

- Stewart

---

From: Eliot Lear <[email-masked]>
Date: Tue, 21 Apr 2015 15:10:04 +0200

On the whole, Warren, I don't believe that Acknowledgments should be
taken as support.  It seems to me that if you use someone's ideas, you
should acknowledge that fact whether they support your draft or not. 
Now the wording you mention below is offensive.  Acknowledgments are not
for support and shouldn't be used that way.

Eliot

---

From: Benoit Claise <[email-masked]>
Date: Tue, 21 Apr 2015 16:25:14 +0200

Hi Fred,

Yes, I witnessed that behavior a few times in the past.
I also witnessed the fake acknowledgment (mentioned by Warren).
Adding authors or names in the acknowledgment to promote drafts is the 
wrong way to go and really plays against the persons playing this trick, 
once this is known.

We could spend our time trying to engineer an extra process, or "flame" 
those persons in public. My heart is torn between the two.

Regards, Benoit

---

From: Eric Gray <[email-masked]>
Date: Tue, 21 Apr 2015 14:32:52 +0000

Fred,

	This depends on what happens to the draft while waiting for confirmation, and 
whether or not the tools recognize the initial posting time/date as opposed to the final
confirmation time/date.

	I can see an argument for why the "posting time/date" would be the same as
the final confirmation time/date - if nobody can see the draft until then (which seems
to be a reasonable requirement, if you are trying to avoid accidentally adding someone
as an author).

	Otherwise, it would be possible to ambush a working group with a -00 draft that
makes the posting cut-off but is not available until the last possible moment.  All a person
would need to do is to hold off on confirming their authorship until then.

--
Eric

---

From: Harald Alvestrand <[email-masked]>
Date: Tue, 21 Apr 2015 16:44:26 +0200

I've filed a number of drafts where I didn't know at filing time what
addresses my co-authors wanted to have on the draft (deadlines again).

That said, it seems that a button called "BLANK THIS DRAFT" which was
available to co-authors and filed a -01 with "THIS SPACE INTENTIONALLY
LEFT BLANK" as its only content (after approval) might adequately solve
the problem without the need to modify our main workflows...

Den 21. april 2015 15:05, skrev Stewart Bryant:
>> I have had a problem on a number of occasions with my name being
>> listed as an author on a draft that I had not agreed to co-author, and
>> in some cases, that I hadn’t even seen. In most cases, I have been
>> able to get the putative co-author to remove my name in a -01 version.
>> I can point to at least one draft that I didn’t initially agree to
>> co-author, was unsuccessful in getting my "co-authors" to remove it,
>> and wound up largely re-writing, which involved a lot of work. I’m not
>> alone in this; various people have complained of third parties listing
>> them as co-authors on drafts without their consent.
>>
>> anything about in one working group, got their names off the draft,
>> and then discovered their names on a related draft in another working
>> approach would involve the posting tool. When we ask to post
>> something, the authors are polled in email to ensure that the email
>> address in the draft actually gets to them, and they have to reply
>> either in email or on the web. What would it take to, when posting a
>> -00 draft, require all of the co-authors to positively respond, and
>> have the posting fail if they don’t, or if any responds negatively?
>>
>> an address changing in a later version of a draft
>> ([email-masked] becomes [email-masked]) and being
>> missed in a draft update, but I don’t understand an incorrect address
>> on the -00 version.
>

---

From: John C Klensin <[email-masked]>
Date: Tue, 21 Apr 2015 10:59:04 -0400

--On Tuesday, April 21, 2015 16:44 +0200 Harald Alvestrand
<[email-masked]> wrote:

> I've filed a number of drafts where I didn't know at filing
> time what addresses my co-authors wanted to have on the draft
> (deadlines again).
> 
> That said, it seems that a button called "BLANK THIS DRAFT"
> which was available to co-authors and filed a -01 with "THIS
> SPACE INTENTIONALLY LEFT BLANK" as its only content (after
> approval) might adequately solve the problem without the need
> to modify our main workflows...

Unfortunately, to the extent to which this is a major problem (I
can imagine cases were it would be as well as others in which
administering a thorough beating to the offenders would be a
better practice and would not require new tools), the bogus
author listing would still be present in the archives, would
produce the draft on searches by author names, etc.  Of course,
giving [co-]authors actual take-down capability would interact
with a different recent conversation and would not prevent the
offender from immediately posting a new draft under a different
name but with equally bogus authorship.

    john

---

From: "John Levine" <[email-masked]>
Date: 21 Apr 2015 15:08:04 -0000

In article <[email-masked]> you write:
>> Be nice if the posting tool confirmed co-author(s) whenever a co-author(s) is "new" (all
>would be new for -00). This would require keeping a database of the drafts and co-authors.

It already knows who the authors are -- if a new version of a draft
has an added author, one of the previous authors has to confirm it.

It seems to me that it would be reasonable to require that each author
confirm at least once that he or she wants to be an author of a draft,
which means all of the authors on -00 and any added authors on
subsequent versions.  The issues about cutoffs can be finessed by
merely leaving off (or commenting out in the XML) the names of authors
who won't be able to confirm and adding them in a later version.  If
you want to put in a note like [[ Joe Blow to be listed as co-author
in future versions ]] that's fine.

This should both be a small change to the software and a small change
to the way we work.

R's,
John

---

From: manning bill <[email-masked]>
Date: Tue, 21 Apr 2015 07:40:44 -0700

then there is the problem of folk who insist on being listed as co-authors even when they have contributed nothing to
the text or the idea.

if co-authors are “confirmed” automatically, the problems will not go away or be fixed..

/bill
PO Box 12317
Marina del Rey, CA 90295
310.322.8102

---

From: Behcet Sarikaya <[email-masked]>
Date: Tue, 21 Apr 2015 10:51:28 -0500

> First, I’d like to believe that this isn’t an acceptable practice. I’d like to believe, shock of shocks, that a co-author is first someone that has agreed to co-author, and is someone that has text…

I agree with the problem above.
What is the percentage of drafts with such "co-authors"?

> Second, I wonder if there is a way we can manage this. A simple approach would involve the posting tool. When we ask to post something, the authors are polled in email to ensure that the email addr…

I think this would be overkill.
Of course it depends on the frequency of the times this happens. My
guess is a very small 0.001 or something like that percentage.
Otherwise we end up slowing down the submission process and make it
almost impossible to meet the deadline due to irresponsive co-authors.

One positive result could be that we get drafts with less number of authors :-)

Behcet

---

From: "Fred Baker (fred)" <[email-masked]>
Date: Tue, 21 Apr 2015 16:35:57 +0000

> On Apr 21, 2015, at 7:32 AM, Eric Gray <[email-masked]> wrote:
> 
> it would be possible to ambush a working group with a -00 draft that

It seems that would work against the author of the draft.

---

From: John C Klensin <[email-masked]>
Date: Tue, 21 Apr 2015 12:45:45 -0400

--On Tuesday, 21 April, 2015 16:35 +0000 "Fred Baker (fred)"
<[email-masked]> wrote:

>> it would be possible to ambush a working group with a -00
>> draft that makes the posting cut-off but is not available
>> until the last possible moment.  All a person would need to
>> do is to hold off on confirming their authorship until then.
> 

And WG Chairs have, IMO, more than enough authority to leave
drafts off agendas if there has not been enough time, in
practice, for the WG to consider them.

---

From: "Fred Baker (fred)" <[email-masked]>
Date: Tue, 21 Apr 2015 16:52:53 +0000

> On Apr 21, 2015, at 8:51 AM, Behcet Sarikaya <[email-masked]> wrote:
> 

The available evidence is anecdotal.

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 22 Apr 2015 11:10:03 +1200

> This should both be a small change to the software and a small change

It would also be a small degradation in our social contract: we can't
trust each other enough to trust that the listed authors are, in fact,
the authors. I think it's abominable that some people violate ethics
in this way, but I *strongly* object to solving this with tooling
that adds inertia to the normal case.

(I've been fortunate in that nobody has ever added me as an I-D author
without my knowledge, but it has happened to me in academic publishing,
and it made me mad as hell and I had the paper withdrawn. So I do
sympathise with the problem. Just not with the proposed solution.)

Regards
    Brian

---

From: Melinda Shore <[email-masked]>
Date: Wed, 22 Apr 2015 05:58:59 -0800

On 4/21/15 7:51 AM, Behcet Sarikaya wrote:
> I think this would be overkill. Of course it depends on the frequency
> of the times this happens. My guess is a very small 0.001 or
> something like that percentage. 

That's probably the case but it still seems to be a problem (I've
had it happen, as well).  I think part of this is cultural and a
failure to understand IETF process (i.e. creating bogus, orchestrated
support for moving a document along), but it may be worthwhile, at
some point, to create a mechanism for a "coauthor" to either take a
draft down or expire it early.  Not a high priority.

Melinda

---

From: Behcet Sarikaya <[email-masked]>
Date: Wed, 22 Apr 2015 10:37:52 -0500

> It seems that would work against the author of the draft.

 I think easiest solution for Fred is to first ask the author to
remove your name and immediately submit a new version. If it does not
work, go to the WG chairs. The chairs will certainly get them remove
your name.

I think it would be outrageous to ask every author's approval at the
submission time. The system already informs every author of the
submission and asks for approval. So you know that somebody is using
your name if that is the case.

Regards,

Behcet

---

From: Warren Kumari <[email-masked]>
Date: Wed, 22 Apr 2015 11:49:25 -0400

> draft down or expire it early.  Not a high priority.

Seeing as the motivation for doing this (and similar things) is to try
ride the coattails of well known participants I think we can solve
this "issue" by having people who this happens to publicly (in the WG
or on discuss@) call out the fact that this happened.
Removing the benefit of doing this (and turning it into a detriment
instead) seems like an easy, no new process, etc solution.

W

---

From: Andrew Sullivan <[email-masked]>
Date: Wed, 22 Apr 2015 20:26:25 -0400

> has an added author, one of the previous authors has to confirm it.

I could swear there was a brief period of thrashing a couple-few years
ago (less than 6, I'm pretty sure, because I have a sense memory of
where I was when paying attention to it) when how to deal with
authors' addresses changing and so on was an issue in the datatracker.
I seem to recall liberalizing the policies precisely so that things
didn't have to go through additional manual confirmation or something
like that.  Maybe the people involved with the tools can comment.  And
maybe my memory is once again faulty -- boy, does it do that a lot
lately.

A

-- 
Andrew Sullivan
[email-masked]

---

From: Andrew Sullivan <[email-masked]>
Date: Wed, 22 Apr 2015 20:31:45 -0400

On Wed, Apr 22, 2015 at 10:37:52AM -0500, Behcet Sarikaya wrote:
> submission time.

Would it be outrageous if it is the first time the draft shows up
associated with that email address?  You can't even sign up to post
comments in web forums without this much of a confirmation loop these
days.  Why would it be too great a burden in the case of I-Ds?

A

-- 
Andrew Sullivan
[email-masked]

---

From: Andrew Sullivan <[email-masked]>
Date: Wed, 22 Apr 2015 20:56:29 -0400

> for support and shouldn't be used that way.

I very strongly agree with this.  Moreover, I can think of at least
one historical case where someone listed in the Acknowledgements
insisted that his name be removed, even though he'd contributed a
great deal to the development of some document with which he ended up
disagreeing.  I thought that was unfortunate, but the social norm was
apparently not strong enough to counteract it.  We should encourage
acknowledgements of fierce critics.

Best regards,

A

-- 
Andrew Sullivan
[email-masked]

---

From: "John Levine" <[email-masked]>
Date: 23 Apr 2015 01:58:27 -0000

>> has an added author, one of the previous authors has to confirm it.

Someone pointed out that the authors all get notices when a new draft
is posted.  That seems good enough for the rare cases of false
attribution, so "never mind".

R's,
John

---

From: Andrew Sullivan <[email-masked]>
Date: Wed, 22 Apr 2015 22:10:27 -0400

> attribution, so "never mind".

Except that the people included are thereby on the record as somehow
being an author of these things, and maybe they don't want to be.  I
think that's a little worrisome.

Ago, I-Ds expired after 6 months, and one wouldn't need to worry about
this.  But now they don't ever really go away, and I can see why some
people feel that perhaps their reputations are being abused.

I don't have a strong opinion about it, but on the other hand I don't
have the sort of reputation that would make it useful to anyone to try
to include me in their author list: I have way more bad ideas than
good ones.

A

-- 
Andrew Sullivan
[email-masked]

---

From: "John Levine" <[email-masked]>
Date: 23 Apr 2015 02:55:30 -0000

>think that's a little worrisome.

I was assuming that aggrieved non-authors could then use out of band
means to ask that their unauthored drafts be unpublished.  At least
this lets them know about funny business.

Sure, a sufficiently devious author could use fake addresses that he
controlled, but that seems a higher degree of evil than we need to
plan for.  Should it happen, I'm sure we'll have the tools to swat the
violators.

R's,
John

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 23 Apr 2015 16:08:07 +1200

To some extent this thread has been ducking the question that lies behind it.
What is an author, in the IETF context? There's no short answer, so here's
a draft of a long answer. If people think it's useful, I can author an
I-D about it...

Scope

These guidelines are aimed at Internet-Drafts in the IETF publication stream.
They are intended to be compatible with the RFC Editor's style guide (RFC7322)
as well.

Authors

Authors are people who have made a substantial creative contribution to the document.
Normally this means writing text or drawing diagrams. Occasionally, with the consent
of the other authors, it means making some other substantial creative contribution to
the document, for example by writing a software implementation as part of the design
process.

People who did not make any such substantial contribution must not be listed
as authors. People must not be listed as authors without their explicit permission.

The practical impact is that the authors will be listed as such on the front page if
the document becomes an RFC.

Contributors

Contributors are people who made smaller creative contributions to the document
than the authors.

People who did not make any such contribution must not be listed as contributors.
People must not be listed as contributors without their explicit permission.

The dividing line between contributors and authors is matter of judgement. However,
the RFC Editor's policy is to query any document that has more than five listed authors.

Editors

When a document has a large number of contributors and potential authors, it may
be appropriate to designate one or two people as "Editors" and list all the others
as contributors. The practical impact of this is that the editors will be listed
as such on the front page if the document becomes an RFC.

Acknowledgements

Acknowledgements should be given to people who have made significant creative
contributions smaller than those from the authors and contributors, or to people
who have made useful comments, provided critical reviews, or otherwise contributed
significantly to the development of the document. Acknowledgements may also be given
to people or organizations that have given material support and assistance, but
this should not include the authors' regular employers.

An acknowledgement does not signify that the person acknowledged agrees with the
document. In general, people who do not wish to be listed as an author or a
contributor, but have in fact made a significant contribution, should be given
an acknowledgement.

Copyright

None of the above affects copyright. Copyright in IETF documents is governed
by BCP 78, the IETF Trust's Legal Provisions, and applicable national and
international law.

Regards
  Brian

---

From: Larry Masinter <[email-masked]>
Date: Thu, 23 Apr 2015 04:09:32 +0000

Simply make the poster check a checkbox when submitting a draft: 

"I have the permission of all named co-authors to post this draft. [ ]"

Default unchecked. 

Don't auto post drafts without it.

---

From: <[email-masked]>
Date: Thu, 23 Apr 2015 05:19:14 +0000

The author get notified **at the email addresses supplied by the draft poster **

Who has no incentive to fake addresses. No sirree.

Lloyd Wood
http://about.me/lloydwood
________________________________________
From: ietf <[email-masked]> on behalf of John Levine <[email-masked]>
Sent: Thursday, 23 April 2015 11:58:27 AM
To: [email-masked]
Subject: Re: Policy and tools regarding the filing of Internet Drafts

R's,
John

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Thu, 23 Apr 2015 01:13:15 -0500

Fred, I'm replying at the top of a nice long e-mail thread, but I've read
to the bottom as of the moment I typed this note ...

On Tue, Apr 21, 2015 at 4:46 AM, Fred Baker (fred) <[email-masked]> wrote:

> I have had a problem on a number of occasions with my name being listed as
> an author on a draft that I had not agreed to co-author, and in some cases,
> that I hadn’t even seen. In most cases, I have been able to get the
> putative co-author to remove my name in a -01 version. I can point to at
> least one draft that I didn’t initially agree to co-author, was
> unsuccessful in getting my "co-authors" to remove it, and wound up largely
> re-writing, which involved a lot of work. I’m not alone in this; various
> people have complained of third parties listing them as co-authors on
> drafts without their consent.
>
> I’m bringing it up this time on the behalf of some Cisco colleagues, who
> found themselves "co-authoring" a draft that they didn’t know anything
> about in one working group, got their names off the draft, and then
> discovered their names on a related draft in another working group. It
> seems to me that an ethical line was crossed in the interest of showing
> support for a concept.
>
> First, I’d like to believe that this isn’t an acceptable practice.

Speaking only for myself (as one of 15 ADs), I'd like to agree.

I'm not amused by this practice.

I've added your note to the topic list for the IESG retreat (first week of
May), to discuss your note and the thread of followups with the rest of the
IESG.

Thanks for raising my awareness.

Spencer

> I’d like to believe, shock of shocks, that a co-author is first someone
> Second, I wonder if there is a way we can manage this. A simple approach
> would involve the posting tool. When we ask to post something, the authors
> are polled in email to ensure that the email address in the draft actually
> gets to them, and they have to reply either in email or on the web. What
> would it take to, when posting a -00 draft, require all of the co-authors
> to positively respond, and have the posting fail if they don’t, or if any
> responds negatively?
>
> This would also clear out people whose addresses change; I understand an
> address changing in a later version of a draft ([email-masked]

---

From: Loa Andersson <[email-masked]>
Date: Thu, 23 Apr 2015 10:34:14 +0200

Brian,

> the document, for example by writing a software implementation as part of the design

If we have A, B, C, D, E and F that all claim that they have equal
contributions to a particular document, according to your definitions
it would be wrong to move any of them to the contributors section,
right?

If we have A, B, C, D, E, F, G and H, the same applies?

/Loa

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert                          [email-masked]
Huawei Technologies (consultant)     phone: +46 739 81 21 64

---

From: Stephen Farrell <[email-masked]>
Date: Thu, 23 Apr 2015 10:33:43 +0100

Hi Brian,

> a draft of a long answer. If people think it's useful, I can author an

If you do, please don't use any "must" or "must not" statements. I
reckon there are exceptions in all cases.

For example, sometimes a bis RFC draft is submitted where authors
from the original RFC are included even though they are not working
on the topic at all anymore. That's fine, the authors of the bis
draft or relevant WG might want to continue to ack the original
work done in that way and I don't believe we should have any
problem with that. (Well, auth-48 can be a minor problem but we
can deal with it.)

As another example, we have had at least one case where a listed
authors was deceased at the time of publication but where it was
correct to leave their name on the RFC.

I think new normative rule making here is not going to be useful.
And even if you don't reference 2119, using "must not" will be
read by some as if it's a hard and fast rule.

Non normative guidance as to what's common and what's not considered
acceptable (such as adding an unwilling "author") is very useful
though.

S.

---

From: John C Klensin <[email-masked]>
Date: Thu, 23 Apr 2015 11:15:13 -0400

> Don't auto post drafts without it.

Interestingly, whomever is posting is already making just that
assertion, albeit a bit indirectly, in the standard/required IPR
copyright assertion: "This document is subject to BCP 78..."
because RFC 5378 requires that all Contributors (presumably a
superset of "Authors") agree to those restrictions and transfers
of rights -- there is no provision for one author to assume the
consent of others vis-a-vis specific text.

Nonetheless, Larry's suggestion seems to me to be a possibly
useful, and relatively painless, first step.  I suggest that the
assertion also include "and their agreement to the provisions of
BCP 78", thereby strengthening the IPR policies slightly.  If
someone is close enough to an evil-doer to lie about those
agreements, he or she is likely to be willing to lie about email
addresses, IPR agreements, etc., and we would have to figure out
ways to deal with that.   But we might get lucky with Larry's
suggestion solving the problem with a minimum of effort and
impedance.

   john

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 24 Apr 2015 12:58:49 +1200

Hi Loa,

> If we have A, B, C, D, E, F, G and H, the same applies?

You are trying to murder me with 1000 recursive cuts :-).

Yes, of course there is that problem. When you get to the RFC Editor,
you can have that discussion, and I won it for RFC 7421 for example.

As my message said, it's a judgement call.

   Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 24 Apr 2015 13:09:43 +1200

Hi,
> reckon there are exceptions in all cases.

That must be true.

> problem with that. (Well, auth-48 can be a minor problem but we

I'm not sure we agree on that, because in general we don't know that the
original authors agree with the changes to their work. But yes, wiggle
room is good in that case.

> acceptable (such as adding an unwilling "author") is very useful

Sure. OK, I've had enough +ve feedback that I will bang out a draft
for convenient reference. (I'm not at all convinced it needs to
become an RFC, however.)

   Brian

---

From: Loa Andersson <[email-masked]>
Date: Fri, 24 Apr 2015 10:39:51 +0200

Brian,

> As my message said, it's a judgement call.

I'm actually quite supportive of coming up with guidelines, as long as
they are written in a way that it not appear that they are rules written
in stone (I have not yet read your draft).

I think you'll have the same problem as we had with the "secretary"
draft. Definitions and understanding of the concept (secretary or
author) are very different in different places.

- the folks that write a draft, has one understanding of who the
   authors are
- working groups seem to have as many understandings as there are
   working groups
- ADs have their own understanding
- the RFC Editor yet another
- I have one and you have possibly another.

Of all these above I would actually favor that we ask the people
listed on the draft who are the author(s).

I'm opposed to have a fixed number. And yes - I understand that there
is such a thing as "too many"! An such cases we should agree on one or
two editors and move the rest to an "Authors" section. Different from
what you define as "Contributors", i.e. we could have editors on page 1,
one authors section and one contributors section, as well as
acknowledgments.

A second reason I'm opposed to a fixed number is what happens quite
frequently - we have 4 names on the front page, two of those are the
actual authors (your definition), the other two are at best contributors
(still your definition), but in that case moving them to the 
contributors section never happens.

/Loa

--

---

From: "Heather Flanagan (RFC Series Editor)" <[email-masked]>
Date: Thu, 23 Apr 2015 11:49:52 -0700

> a draft of a long answer. If people think it's useful, I can author an

I've been working on an RSE statement to provide some guidance here.  I
would rather not see room for diverging direction from the different
document streams, and an IETF-specific definition would likely take us
in that direction.

(I know you know about the draft statement, Brian, but I thought giving
others a heads' up given the topic seemed like a good idea.)

-Heather

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 25 Apr 2015 08:36:59 +1200

> others a heads' up given the topic seemed like a good idea.)

Of course. I would expect any guidelines and habits in the IETF to fit
within the general guidance that applies to all RFCs, in a way consistent
with the IETF process in general.

   Brian

---

From: Lee Howard <[email-masked]>
Date: Thu, 30 Apr 2015 13:53:35 -0400

>instead) seems like an easy, no new process, etc solution.

Being called out by a well known participant might prejudice discussion of
an otherwise useful draft. I might not even know what I think about the
idea yet, so I may not want to shoot it down for reasons outside of its
worthiness. Heck, I might love the idea so much I want to be a co-author.

I've been thinking about the point that requiring confirmation from all
authors would slow down the process when against a deadline, and it could
be easily gamed if the submitter lists herself as the only author on the
-00, then immediately submits a -01 listing all of the other authors. Then
the WG gets timely access to the content of the draft, and the authors
bring -01 (fully attributed and attested) as the version for discussion.

Lee

---

From: "Fred Baker (fred)" <[email-masked]>
Date: Thu, 30 Apr 2015 18:22:16 +0000

> On Apr 30, 2015, at 10:53 AM, Lee Howard <[email-masked]> wrote:
> 

Well, having done some further research, I think the confirmation would have to be done for each address added. I’m thinking, in that regard, of a specific draft and the pattern of it, in which the draft has gone through multiple iterations in one working group and moved to another, with drops and adds on each iteration of the draft (and no, I don’t want to identify it publicly, as this is neither about the primary author nor the company, it’s about the behavior). Basically, every time there is a putative author in version NN that isn’t in version NN-1, I might suggest querying the address.